#
#  Spec file for the RHEL EAL3 Certification RPMS
#
Summary: RHEL EAL3 Certification Programs and Data
Name: eal3-certification
Version: 1.1
Release: 2.XOS.1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Source1:  RHEL-EAL3-Configuration-Guide.pod
Source2:  RHEL-EAL3-Configuration-Guide.pdf
Source3:  RHEL-EAL3-Configuration-Guide.html
Source4:  RHEL-EAL3-Configuration-Guide.txt
Source5:  RHEL-EAL3-Configuration-Guide.man
Source6:  HP-RHEL-EAL3-Configuration-Guide.pod
Source7:  HP-RHEL-EAL3-Configuration-Guide.pdf
Source8:  HP-RHEL-EAL3-Configuration-Guide.html
Source9:  HP-RHEL-EAL3-Configuration-Guide.txt
Source10: HP-RHEL-EAL3-Configuration-Guide.man

Prereq: fileutils chkconfig /etc/init.d
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
The eal3-certification packages contain documentation and data files
needed to modify a system to comply with EAL3/CAPP security requirements.

Details are documented in the Evaluated Configuration Guide contained
in the -doc package.

%package doc
Group:	System Environment/Base
Summary:  RHEL EAL3 Certification Documentation

%description doc
The eal3-certification-doc package contains the documentation
required to harden your RHEL3 system to comply with EAL3/CAPP.

See the included /usr/share/doc/%{name}-%{version}/README for details.

%prep
%setup
# copy in the ECG
mkdir -p doc
cp %{SOURCE1}  doc/
cp %{SOURCE2}  doc/
cp %{SOURCE3}  doc/
cp %{SOURCE4}  doc/
cp %{SOURCE5}  doc/
cp %{SOURCE6}  doc/
cp %{SOURCE7}  doc/
cp %{SOURCE8}  doc/
cp %{SOURCE9}  doc/
cp %{SOURCE10} doc/

%build

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%attr(0750,root,root) %{_sysconfdir}/audit/rhel-eal3.bash
%attr(0644,root,root) %{_sysconfdir}/audit/pam.d/*
%attr(0600,root,root) %{_sysconfdir}/audit/*.conf
%attr(0600,root,root) %{_sysconfdir}/audit/sshd_config
%attr(0644,root,root) %{_sysconfdir}/audit/login.defs

%files doc
%defattr(-,root,root)
%attr(0644,root,root) /usr/share/man/man2/*
%doc doc/*


%changelog
* Sun Jan 02 2005 X/OS Linux Team <xoslinux@xos.nl> 1.1-2.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on eal3-certification-1.1-2.src.rpm
  (md5sum of original source rpm: 16f1b96272e390238ad994e138ca0661).

* Thu Sep 23 2004 root <ccb@redhat.com> 1.1-2
- fix perms on the doc directory

* Fri Sep 17 2004 root <ccb@redhat.com> 1.1-1
- integrate eal3-certification RPM name change from eal3-required package

* Wed Sep 15 2004 root <ccb@redhat.com> 1.0-1
- updated to match HP sponsored eval with changes from klaus@atsec.com
* Thu Aug 19 2004 root <root@redhat.com> 0.7-1
- remove tux.2.gz manpage to reduce conflict
* Tue Aug 17 2004 root <ccb@redhat.com> 0.6-1
- remove manpages that conflict with libcap and libattr packages
* Fri Jul 2 2004 ccb <ccb@redhat.com> 0.5-5
- new ECG from Klaus at ATSEC
* Tue Jun 29 2004 ccb <ccb@redhat.com> 0.5-4
- relativize the paths when copying in the ecg
* Tue Jun 29 2004 root <ccb@redhat.com> 0.5-3
- integrate v1.2 of cert guide and new KW patches
* Mon Jun 28 2004 root <ccb@redhat.com> 0.5-2
- back down shadow-utils rev
* Mon Jun 28 2004 root <ccb@redhat.com> 0.5-1
- merge kw12 patch from klaus@atsec.com
- repackage all patches in new tarball
* Wed Jun 23 2004 Charlie Bennett <ccb@redhat.com>
- supercede kw7 with kw10
* Tue Jun 22 2004 Charlie Bennett <ccb@redhat.com>
- integrate kw7 patch from Klaus Weidner
* Thu Jun 10 2004 Charlie Bennett <ccb@redhat.com>
- integrate kw3 -> kw6 cumulative patch from Klaus Weidner
* Fri May 28 2004 Charlie Bennett <ccb@redhat.com>
- integrate the kw3 patch from Klaus Weidner <klaus@atsec.com>
* Fri May 28 2004 Charlie Bennett <ccb@redhat.com>
- add the man pages
* Fri May 28 2004 Charlie Bennett <ccb@redhat.com>
- new
